// D import file generated from 'derelict/freeimage/freeimage.d'
module derelict.freeimage.freeimage;
public 
{
	import derelict.freeimage.functions;
	import derelict.freeimage.types;
	import derelict.util.loader;
}
private 
{
	import derelict.util.exception;
	import derelict.util.system;
	static if (Derelict_OS_Windows)
	{
		enum libNames = "FreeImage.dll";
	}
	else
	{
		static if (Derelict_OS_Mac)
		{
			enum libNames = "libfreeimage.dylib,libfreeimage.dylib.3";
		}
		else
		{
			static if (Derelict_OS_Posix)
			{
				enum libNames = "libfreeimage.so,libfreeimage.so.3";
			}
			else
			{
				static assert(0, "Need to implement FreeImage libNames for this operating system.");
			}
		}
	}
	version (Win64)
	{
		enum isWin64 = true;
	}
	else
	{
		enum isWin64 = false;
	}
}
class DerelictFILoader : SharedLibLoader
{
	public this()
	{
		super(libNames);
	}
	protected override void configureMinimumVersion(SharedLibVersion minVersion);
	protected override void loadSymbols();
	private ShouldThrow allowFI_3_15_0(string symbolName);
	private ShouldThrow allowFI_3_15_4(string symbolName);
	private ShouldThrow allowFI_3_16_0(string symbolName);
}
__gshared DerelictFILoader DerelictFI;
shared static this();
