// D import file generated from 'derelict/freeimage/functions.d'
module derelict.freeimage.functions;
private 
{
	import core.stdc.config;
	import core.stdc.stddef;
	import derelict.freeimage.types;
	import derelict.util.system;
}
extern (C) nothrow 
{
	alias da_FreeImage_Initialise = void function(BOOL load_local_plugins_only = FALSE);
	alias da_FreeImage_DeInitialise = void function();
	alias da_FreeImage_GetVersion = const(char)* function();
	alias da_FreeImage_GetCopyrightMessage = const(char)* function();
	alias da_FreeImage_SetOutputMessageStdCall = void function(FreeImage_OutputMessageFunctionStdCall omf);
	alias da_FreeImage_SetOutputMessage = void function(FreeImage_OutputMessageFunction omf);
	alias da_FreeImage_OutputMessageProc = void function(int fif, const(char)* fmt, ...);
	alias da_FreeImage_Allocate = FIBITMAP* function(int width, int height, int bpp, uint red_mask = 0, uint green_mask = 0, uint blue_mask = 0);
	alias da_FreeImage_AllocateT = FIBITMAP* function(FREE_IMAGE_TYPE type, int width, int height, int bpp = 8, uint red_mask = 0, uint green_mask = 0, uint blue_mask = 0);
	alias da_FreeImage_Clone = FIBITMAP* function(FIBITMAP* dib);
	alias da_FreeImage_Unload = void function(FIBITMAP* dib);
	alias da_FreeImage_HasPixels = BOOL function(FIBITMAP* dib);
	alias da_FreeImage_Load = FIBITMAP* function(FREE_IMAGE_FORMAT fif, const(char)* filename, int flags = 0);
	alias da_FreeImage_LoadU = FIBITMAP* function(FREE_IMAGE_FORMAT fif, const(wchar_t)* filename, int flags = 0);
	alias da_FreeImage_LoadFromHandle = FIBITMAP* function(FREE_IMAGE_FORMAT fif, FreeImageIO* io, fi_handle handle, int flags = 0);
	alias da_FreeImage_Save = BOOL function(FREE_IMAGE_FORMAT fif, FIBITMAP* dib, const(char)* filename, int flags = 0);
	alias da_FreeImage_SaveU = BOOL function(FREE_IMAGE_FORMAT fif, FIBITMAP* dib, const(wchar_t)* filename, int flags = 0);
	alias da_FreeImage_SaveToHandle = BOOL function(FREE_IMAGE_FORMAT fif, FIBITMAP* dib, FreeImageIO* io, fi_handle handle, int flags = 0);
	alias da_FreeImage_OpenMemory = FIMEMORY* function(BYTE* data = null, DWORD size_in_bytes = 0);
	alias da_FreeImage_CloseMemory = void function(FIMEMORY* stream);
	alias da_FreeImage_LoadFromMemory = FIBITMAP* function(FREE_IMAGE_FORMAT fif, FIMEMORY* stream, int flags = 0);
	alias da_FreeImage_SaveToMemory = BOOL function(FREE_IMAGE_FORMAT fif, FIBITMAP* dib, FIMEMORY* stream, int flags = 0);
	alias da_FreeImage_TellMemory = c_long function(FIMEMORY* stream);
	alias da_FreeImage_SeekMemory = BOOL function(FIMEMORY* stream, c_long offset, int origin);
	alias da_FreeImage_AcquireMemory = BOOL function(FIMEMORY* stream, BYTE** data, DWORD* size_in_bytes);
	alias da_FreeImage_ReadMemory = uint function(void* buffer, uint size, uint count, FIMEMORY* stream);
	alias da_FreeImage_WriteMemory = uint function(const(void*) buffer, uint size, uint count, FIMEMORY* stream);
	alias da_FreeImage_LoadMultiBitmapFromMemory = FIMULTIBITMAP* function(FREE_IMAGE_FORMAT fif, FIMEMORY* stream, int flags = 0);
	alias da_FreeImage_SaveMultiBitmapToMemory = BOOL function(FREE_IMAGE_FORMAT fif, FIMULTIBITMAP* bitmap, FIMEMORY* stream, int flags);
	alias da_FreeImage_RegisterLocalPlugin = FREE_IMAGE_FORMAT function(FI_InitProc proc_address, const(char)* format = null, const(char)* description = null, const(char)* extension = null, const(char)* regexpr = null);
	static if (Derelict_OS_Windows)
	{
		alias da_FreeImage_RegisterExternalPlugin = FREE_IMAGE_FORMAT function(const(char)* path, const(char)* format = null, const(char)* description = null, const(char)* extension = null, const(char)* regexpr = null);
	}
	alias da_FreeImage_GetFIFCount = int function();
	alias da_FreeImage_SetPluginEnabled = int function(FREE_IMAGE_FORMAT fif, BOOL enable);
	alias da_FreeImage_IsPluginEnabled = int function(FREE_IMAGE_FORMAT fif);
	alias da_FreeImage_GetFIFFromFormat = FREE_IMAGE_FORMAT function(const(char)* format);
	alias da_FreeImage_GetFIFFromMime = FREE_IMAGE_FORMAT function(const(char)* mime);
	alias da_FreeImage_GetFormatFromFIF = const(char)* function(FREE_IMAGE_FORMAT fif);
	alias da_FreeImage_GetFIFExtensionList = const(char)* function(FREE_IMAGE_FORMAT fif);
	alias da_FreeImage_GetFIFDescription = const(char)* function(FREE_IMAGE_FORMAT fif);
	alias da_FreeImage_GetFIFRegExpr = const(char)* function(FREE_IMAGE_FORMAT fif);
	alias da_FreeImage_GetFIFMimeType = const(char)* function(FREE_IMAGE_FORMAT fif);
	alias da_FreeImage_GetFIFFromFilename = FREE_IMAGE_FORMAT function(const(char)* filename);
	alias da_FreeImage_GetFIFFromFilenameU = FREE_IMAGE_FORMAT function(const(wchar_t)* filename);
	alias da_FreeImage_FIFSupportsReading = BOOL function(FREE_IMAGE_FORMAT fif);
	alias da_FreeImage_FIFSupportsWriting = BOOL function(FREE_IMAGE_FORMAT fif);
	alias da_FreeImage_FIFSupportsExportBPP = BOOL function(FREE_IMAGE_FORMAT fif, int bpp);
	alias da_FreeImage_FIFSupportsExportType = BOOL function(FREE_IMAGE_FORMAT fif, FREE_IMAGE_TYPE type);
	alias da_FreeImage_FIFSupportsICCProfiles = BOOL function(FREE_IMAGE_FORMAT fif);
	alias da_FreeImage_FIFSupportsNoPixels = BOOL function(FREE_IMAGE_FORMAT fif);
	alias da_FreeImage_OpenMultiBitmap = FIMULTIBITMAP* function(FREE_IMAGE_FORMAT fif, const(char)* filename, BOOL create_new, BOOL read_only, BOOL keep_cache_in_memory = FALSE, int flags = 0);
	alias da_FreeImage_OpenMultiBitmapFromHandle = FIMULTIBITMAP* function(FREE_IMAGE_FORMAT fif, FreeImageIO* io, fi_handle handle, int flags = 0);
	alias da_FreeImage_SaveMultiBitmapToHandle = BOOL function(FREE_IMAGE_FORMAT fif, FIMULTIBITMAP* bitmap, FreeImageIO* io, fi_handle handle, int flags = 0);
	alias da_FreeImage_CloseMultiBitmap = BOOL function(FIMULTIBITMAP* bitmap, int flags = 0);
	alias da_FreeImage_GetPageCount = int function(FIMULTIBITMAP* bitmap);
	alias da_FreeImage_AppendPage = void function(FIMULTIBITMAP* bitmap, FIBITMAP* data);
	alias da_FreeImage_InsertPage = void function(FIMULTIBITMAP* bitmap, int page, FIBITMAP* data);
	alias da_FreeImage_DeletePage = void function(FIMULTIBITMAP* bitmap, int page);
	alias da_FreeImage_LockPage = FIBITMAP* function(FIMULTIBITMAP* bitmap, int page);
	alias da_FreeImage_UnlockPage = void function(FIMULTIBITMAP* bitmap, FIBITMAP* data, BOOL changed);
	alias da_FreeImage_MovePage = BOOL function(FIMULTIBITMAP* bitmap, int target, int source);
	alias da_FreeImage_GetLockedPageNumbers = BOOL function(FIMULTIBITMAP* bitmap, int* pages, int* count);
	alias da_FreeImage_GetFileType = FREE_IMAGE_FORMAT function(const(char)* filename, int size = 0);
	alias da_FreeImage_GetFileTypeU = FREE_IMAGE_FORMAT function(const(wchar_t)* filename, int size = 0);
	alias da_FreeImage_GetFileTypeFromHandle = FREE_IMAGE_FORMAT function(FreeImageIO* io, fi_handle handle, int size = 0);
	alias da_FreeImage_GetFileTypeFromMemory = FREE_IMAGE_FORMAT function(FIMEMORY* stream, int size = 0);
	alias da_FreeImage_GetImageType = FREE_IMAGE_TYPE function(FIBITMAP* dib);
	alias da_FreeImage_IsLittleEndian = BOOL function();
	alias da_FreeImage_LookupX11Color = BOOL function(const(char)* szColor, BYTE* nRed, BYTE* nGreen, BYTE* nBlue);
	alias da_FreeImage_LookupSVGColor = BOOL function(const(char)* szColor, BYTE* nRed, BYTE* nGreen, BYTE* nBlue);
	alias da_FreeImage_GetBits = BYTE* function(FIBITMAP* dib);
	alias da_FreeImage_GetScanLine = BYTE* function(FIBITMAP* dib, int scanline);
	alias da_FreeImage_GetPixelIndex = BOOL function(FIBITMAP* dib, uint x, uint y, BYTE* value);
	alias da_FreeImage_GetPixelColor = BOOL function(FIBITMAP* dib, uint x, uint y, RGBQUAD* value);
	alias da_FreeImage_SetPixelIndex = BOOL function(FIBITMAP* dib, uint x, uint y, BYTE* value);
	alias da_FreeImage_SetPixelColor = BOOL function(FIBITMAP* dib, uint x, uint y, RGBQUAD* value);
	alias da_FreeImage_GetColorsUsed = uint function(FIBITMAP* dib);
	alias da_FreeImage_GetBPP = uint function(FIBITMAP* dib);
	alias da_FreeImage_GetWidth = uint function(FIBITMAP* dib);
	alias da_FreeImage_GetHeight = uint function(FIBITMAP* dib);
	alias da_FreeImage_GetLine = uint function(FIBITMAP* dib);
	alias da_FreeImage_GetPitch = uint function(FIBITMAP* dib);
	alias da_FreeImage_GetDIBSize = uint function(FIBITMAP* dib);
	alias da_FreeImage_GetMemorySize = uint function(FIBITMAP*);
	alias da_FreeImage_GetPalette = RGBQUAD* function(FIBITMAP* dib);
	alias da_FreeImage_GetDotsPerMeterX = uint function(FIBITMAP* dib);
	alias da_FreeImage_GetDotsPerMeterY = uint function(FIBITMAP* dib);
	alias da_FreeImage_SetDotsPerMeterX = void function(FIBITMAP* dib, uint res);
	alias da_FreeImage_SetDotsPerMeterY = void function(FIBITMAP* dib, uint res);
	alias da_FreeImage_GetInfoHeader = BITMAPINFOHEADER* function(FIBITMAP* dib);
	alias da_FreeImage_GetInfo = BITMAPINFO* function(FIBITMAP* dib);
	alias da_FreeImage_GetColorType = FREE_IMAGE_COLOR_TYPE function(FIBITMAP* dib);
	alias da_FreeImage_GetRedMask = uint function(FIBITMAP* dib);
	alias da_FreeImage_GetGreenMask = uint function(FIBITMAP* dib);
	alias da_FreeImage_GetBlueMask = uint function(FIBITMAP* dib);
	alias da_FreeImage_GetTransparencyCount = uint function(FIBITMAP* dib);
	alias da_FreeImage_GetTransparencyTable = BYTE* function(FIBITMAP* dib);
	alias da_FreeImage_SetTransparent = void function(FIBITMAP* dib, BOOL enabled);
	alias da_FreeImage_SetTransparencyTable = void function(FIBITMAP* dib, BYTE* table, int count);
	alias da_FreeImage_IsTransparent = BOOL function(FIBITMAP* dib);
	alias da_FreeImage_SetTransparentIndex = void function(FIBITMAP* dib, int index);
	alias da_FreeImage_GetTransparentIndex = int function(FIBITMAP* dib);
	alias da_FreeImage_HasBackgroundColor = BOOL function(FIBITMAP* dib);
	alias da_FreeImage_GetBackgroundColor = BOOL function(FIBITMAP* dib, RGBQUAD* bkcolor);
	alias da_FreeImage_SetBackgroundColor = BOOL function(FIBITMAP* dib, RGBQUAD* bkcolor);
	alias da_FreeImage_GetThumbnail = FIBITMAP* function(FIBITMAP* dib);
	alias da_FreeImage_SetThumbnail = BOOL function(FIBITMAP* dib, FIBITMAP* thumbnail);
	alias da_FreeImage_GetICCProfile = FIICCPROFILE* function(FIBITMAP* dib);
	alias da_FreeImage_CreateICCProfile = FIICCPROFILE* function(FIBITMAP* dib, void* data, c_long size);
	alias da_FreeImage_DestroyICCProfile = void function(FIBITMAP* dib);
	alias da_FreeImage_ConvertLine1To4 = void function(BYTE* target, BYTE* source, int width_in_pixels);
	alias da_FreeImage_ConvertLine8To4 = void function(BYTE* target, BYTE* source, int width_in_pixels, RGBQUAD* palette);
	alias da_FreeImage_ConvertLine16To4_555 = void function(BYTE* target, BYTE* source, int width_in_pixels);
	alias da_FreeImage_ConvertLine16To4_565 = void function(BYTE* target, BYTE* source, int width_in_pixels);
	alias da_FreeImage_ConvertLine24To4 = void function(BYTE* target, BYTE* source, int width_in_pixels);
	alias da_FreeImage_ConvertLine32To4 = void function(BYTE* target, BYTE* source, int width_in_pixels);
	alias da_FreeImage_ConvertLine1To8 = void function(BYTE* target, BYTE* source, int width_in_pixels);
	alias da_FreeImage_ConvertLine4To8 = void function(BYTE* target, BYTE* source, int width_in_pixels);
	alias da_FreeImage_ConvertLine16To8_555 = void function(BYTE* target, BYTE* source, int width_in_pixels);
	alias da_FreeImage_ConvertLine16To8_565 = void function(BYTE* target, BYTE* source, int width_in_pixels);
	alias da_FreeImage_ConvertLine24To8 = void function(BYTE* target, BYTE* source, int width_in_pixels);
	alias da_FreeImage_ConvertLine32To8 = void function(BYTE* target, BYTE* source, int width_in_pixels);
	alias da_FreeImage_ConvertLine1To16_555 = void function(BYTE* target, BYTE* source, int width_in_pixels, RGBQUAD* palette);
	alias da_FreeImage_ConvertLine4To16_555 = void function(BYTE* target, BYTE* source, int width_in_pixels, RGBQUAD* palette);
	alias da_FreeImage_ConvertLine8To16_555 = void function(BYTE* target, BYTE* source, int width_in_pixels, RGBQUAD* palette);
	alias da_FreeImage_ConvertLine16_565_To16_555 = void function(BYTE* target, BYTE* source, int width_in_pixels);
	alias da_FreeImage_ConvertLine24To16_555 = void function(BYTE* target, BYTE* source, int width_in_pixels);
	alias da_FreeImage_ConvertLine32To16_555 = void function(BYTE* target, BYTE* source, int width_in_pixels);
	alias da_FreeImage_ConvertLine1To16_565 = void function(BYTE* target, BYTE* source, int width_in_pixels, RGBQUAD* palette);
	alias da_FreeImage_ConvertLine4To16_565 = void function(BYTE* target, BYTE* source, int width_in_pixels, RGBQUAD* palette);
	alias da_FreeImage_ConvertLine8To16_565 = void function(BYTE* target, BYTE* source, int width_in_pixels, RGBQUAD* palette);
	alias da_FreeImage_ConvertLine16_555_To16_565 = void function(BYTE* target, BYTE* source, int width_in_pixels);
	alias da_FreeImage_ConvertLine24To16_565 = void function(BYTE* target, BYTE* source, int width_in_pixels);
	alias da_FreeImage_ConvertLine32To16_565 = void function(BYTE* target, BYTE* source, int width_in_pixels);
	alias da_FreeImage_ConvertLine1To24 = void function(BYTE* target, BYTE* source, int width_in_pixels, RGBQUAD* palette);
	alias da_FreeImage_ConvertLine4To24 = void function(BYTE* target, BYTE* source, int width_in_pixels, RGBQUAD* palette);
	alias da_FreeImage_ConvertLine8To24 = void function(BYTE* target, BYTE* source, int width_in_pixels, RGBQUAD* palette);
	alias da_FreeImage_ConvertLine16To24_555 = void function(BYTE* target, BYTE* source, int width_in_pixels);
	alias da_FreeImage_ConvertLine16To24_565 = void function(BYTE* target, BYTE* source, int width_in_pixels);
	alias da_FreeImage_ConvertLine32To24 = void function(BYTE* target, BYTE* source, int width_in_pixels);
	alias da_FreeImage_ConvertLine1To32 = void function(BYTE* target, BYTE* source, int width_in_pixels, RGBQUAD* palette);
	alias da_FreeImage_ConvertLine4To32 = void function(BYTE* target, BYTE* source, int width_in_pixels, RGBQUAD* palette);
	alias da_FreeImage_ConvertLine8To32 = void function(BYTE* target, BYTE* source, int width_in_pixels, RGBQUAD* palette);
	alias da_FreeImage_ConvertLine16To32_555 = void function(BYTE* target, BYTE* source, int width_in_pixels);
	alias da_FreeImage_ConvertLine16To32_565 = void function(BYTE* target, BYTE* source, int width_in_pixels);
	alias da_FreeImage_ConvertLine24To32 = void function(BYTE* target, BYTE* source, int width_in_pixels);
	alias da_FreeImage_ConvertTo4Bits = FIBITMAP* function(FIBITMAP* dib);
	alias da_FreeImage_ConvertTo8Bits = FIBITMAP* function(FIBITMAP* dib);
	alias da_FreeImage_ConvertToGreyscale = FIBITMAP* function(FIBITMAP* dib);
	alias da_FreeImage_ConvertTo16Bits555 = FIBITMAP* function(FIBITMAP* dib);
	alias da_FreeImage_ConvertTo16Bits565 = FIBITMAP* function(FIBITMAP* dib);
	alias da_FreeImage_ConvertTo24Bits = FIBITMAP* function(FIBITMAP* dib);
	alias da_FreeImage_ConvertTo32Bits = FIBITMAP* function(FIBITMAP* dib);
	alias da_FreeImage_ColorQuantize = FIBITMAP* function(FIBITMAP* dib, FREE_IMAGE_QUANTIZE quantize);
	alias da_FreeImage_ColorQuantizeEx = FIBITMAP* function(FIBITMAP* dib, FREE_IMAGE_QUANTIZE quantize = FIQ_WUQUANT, int PaletteSize = 256, int ReserveSize = 0, RGBQUAD* ReservePalette = null);
	alias da_FreeImage_Threshold = FIBITMAP* function(FIBITMAP* dib, BYTE T);
	alias da_FreeImage_Dither = FIBITMAP* function(FIBITMAP* dib, FREE_IMAGE_DITHER algorithm);
	alias da_FreeImage_ConvertFromRawBits = FIBITMAP* function(BYTE* bits, int width, int height, int pitch, uint bpp, uint red_mask, uint green_mask, uint blue_mask, BOOL topdown = FALSE);
	alias da_FreeImage_ConvertFromRawBitsEx = FIBITMAP* function(BOOL, BYTE*, FREE_IMAGE_TYPE, int, int, int, uint, uint, uint, uint, BOOL topdown = FALSE);
	alias da_FreeImage_ConvertToRawBits = void function(BYTE* bits, FIBITMAP* dib, int pitch, uint bpp, uint red_mask, uint green_mask, uint blue_mask, BOOL topdown = FALSE);
	alias da_FreeImage_ConvertToFloat = FIBITMAP* function(FIBITMAP* dib);
	alias da_FreeImage_ConvertToRGBF = FIBITMAP* function(FIBITMAP* dib);
	alias da_FreeImage_ConvertToRGBAF = FIBITMAP* function(FIBITMAP*);
	alias da_FreeImage_ConvertToUINT16 = FIBITMAP* function(FIBITMAP* dib);
	alias da_FreeImage_ConvertToRGB16 = FIBITMAP* function(FIBITMAP* dib);
	alias da_FreeImage_ConvertToRGBA16 = FIBITMAP* function(FIBITMAP*);
	alias da_FreeImage_ConvertToStandardType = FIBITMAP* function(FIBITMAP* src, BOOL scale_linear = TRUE);
	alias da_FreeImage_ConvertToType = FIBITMAP* function(FIBITMAP* src, FREE_IMAGE_TYPE dst_type, BOOL scale_linear = TRUE);
	alias da_FreeImage_ToneMapping = FIBITMAP* function(FIBITMAP* dib, FREE_IMAGE_TMO tmo, double first_param = 0, double second_param = 0);
	alias da_FreeImage_TmoDrago03 = FIBITMAP* function(FIBITMAP* src, double gamma = 2.2, double exposure = 0);
	alias da_FreeImage_TmoReinhard05 = FIBITMAP* function(FIBITMAP* src, double intensity = 0, double contrast = 0);
	alias da_FreeImage_TmoReinhard05Ex = FIBITMAP* function(FIBITMAP* src, double intensity = 0, double contrast = 0, double adaptation = 1, double color_correction = 0);
	alias da_FreeImage_TmoFattal02 = FIBITMAP* function(FIBITMAP* src, double color_saturation = 0.5, double attenuation = 0.85);
	alias da_FreeImage_ZLibCompress = DWORD function(BYTE* target, DWORD target_size, BYTE* source, DWORD source_size);
	alias da_FreeImage_ZLibUncompress = DWORD function(BYTE* target, DWORD target_size, BYTE* source, DWORD source_size);
	alias da_FreeImage_ZLibGZip = DWORD function(BYTE* target, DWORD target_size, BYTE* source, DWORD source_size);
	alias da_FreeImage_ZLibGUnzip = DWORD function(BYTE* target, DWORD target_size, BYTE* source, DWORD source_size);
	alias da_FreeImage_ZLibCRC32 = DWORD function(DWORD crc, BYTE* source, DWORD source_size);
	alias da_FreeImage_CreateTag = FITAG* function();
	alias da_FreeImage_DeleteTag = void function(FITAG* tag);
	alias da_FreeImage_CloneTag = FITAG* function(FITAG* tag);
	alias da_FreeImage_GetTagKey = const(char)* function(FITAG* tag);
	alias da_FreeImage_GetTagDescription = const(char)* function(FITAG* tag);
	alias da_FreeImage_GetTagID = WORD function(FITAG* tag);
	alias da_FreeImage_GetTagType = FREE_IMAGE_MDTYPE function(FITAG* tag);
	alias da_FreeImage_GetTagCount = DWORD function(FITAG* tag);
	alias da_FreeImage_GetTagLength = DWORD function(FITAG* tag);
	alias da_FreeImage_GetTagValue = const(void)* function(FITAG* tag);
	alias da_FreeImage_SetTagKey = BOOL function(FITAG* tag, const(char)* key);
	alias da_FreeImage_SetTagDescription = BOOL function(FITAG* tag, const(char)* description);
	alias da_FreeImage_SetTagID = BOOL function(FITAG* tag, WORD id);
	alias da_FreeImage_SetTagType = BOOL function(FITAG* tag, FREE_IMAGE_MDTYPE type);
	alias da_FreeImage_SetTagCount = BOOL function(FITAG* tag, DWORD count);
	alias da_FreeImage_SetTagLength = BOOL function(FITAG* tag, DWORD length);
	alias da_FreeImage_SetTagValue = BOOL function(FITAG* tag, const(void)* value);
	alias da_FreeImage_FindFirstMetadata = FIMETADATA* function(FREE_IMAGE_MDMODEL model, FIBITMAP* dib, FITAG** tag);
	alias da_FreeImage_FindNextMetadata = BOOL function(FIMETADATA* mdhandle, FITAG** tag);
	alias da_FreeImage_FindCloseMetadata = void function(FIMETADATA* mdhandle);
	alias da_FreeImage_SetMetadata = BOOL function(FREE_IMAGE_MDMODEL model, FIBITMAP* dib, const(char)* key, FITAG* tag);
	alias da_FreeImage_GetMetadata = BOOL function(FREE_IMAGE_MDMODEL model, FIBITMAP* dib, const(char)* key, FITAG** tag);
	alias da_FreeImage_SetMetadataKeyValue = BOOL function(FREE_IMAGE_MDMODEL, FIBITMAP*, const(char)*, const(char)*);
	alias da_FreeImage_GetMetadataCount = uint function(FREE_IMAGE_MDMODEL model, FIBITMAP* dib);
	alias da_FreeImage_CloneMetadata = BOOL function(FIBITMAP* dst, FIBITMAP* src);
	alias da_FreeImage_TagToString = const(char)* function(FREE_IMAGE_MDMODEL model, FITAG* tag, char* Make = null);
	alias da_FreeImage_JPEGTransform = BOOL function(const(char)* src_file, const(char)* dst_file, FREE_IMAGE_JPEG_OPERATION operation, BOOL perfect = TRUE);
	alias da_FreeImage_JPEGTransformU = BOOL function(const(wchar_t)* src_file, const(wchar_t)* dst_file, FREE_IMAGE_JPEG_OPERATION operation, BOOL perfect = TRUE);
	alias da_FreeImage_JPEGCrop = BOOL function(const(char)* src_file, const(char)* dst_file, int left, int top, int right, int bottom);
	alias da_FreeImage_JPEGCropU = BOOL function(const(wchar_t)* src_file, const(wchar_t)* dst_file, int left, int top, int right, int bottom);
	alias da_FreeImage_JPEGTransformFromHandle = BOOL function(FreeImageIO*, fi_handle, FreeImageIO*, fi_handle, FREE_IMAGE_JPEG_OPERATION, int*, int*, int*, int*, BOOL perfect = TRUE);
	alias da_FreeImage_JPEGTransformCombined = BOOL function(const(char)*, const(char)*, FREE_IMAGE_JPEG_OPERATION, int*, int*, int*, int*, BOOL perfect = TRUE);
	alias da_FreeImage_JPEGTransformCombinedU = BOOL function(const(wchar_t)*, const(wchar_t)*, FREE_IMAGE_JPEG_OPERATION, int*, int*, int*, int*, BOOL perfect = TRUE);
	alias da_FreeImage_JPEGTransformCombinedFromMemory = BOOL function(FIMEMORY*, FIMEMORY*, FREE_IMAGE_JPEG_OPERATION, int*, int*, int*, int*, BOOL perfect = TRUE);
	alias da_FreeImage_RotateClassic = FIBITMAP* function(FIBITMAP* dib, double angle);
	alias da_FreeImage_Rotate = FIBITMAP* function(FIBITMAP* dib, double angle, const(void*) bkcolor = null);
	alias da_FreeImage_RotateEx = FIBITMAP* function(FIBITMAP* dib, double angle, double x_shift, double y_shift, double x_origin, double y_origin, BOOL use_mask);
	alias da_FreeImage_FlipHorizontal = BOOL function(FIBITMAP* dib);
	alias da_FreeImage_FlipVertical = BOOL function(FIBITMAP* dib);
	alias da_FreeImage_Rescale = FIBITMAP* function(FIBITMAP* dib, int dst_width, int dst_height, FREE_IMAGE_FILTER filter);
	alias da_FreeImage_MakeThumbnail = FIBITMAP* function(FIBITMAP* dib, int max_pixel_size, BOOL convert = TRUE);
	alias da_FreeImage_RescaleRect = FIBITMAP* function(FIBITMAP*, int, int, int, int, int, int, FREE_IMAGE_FILTER filter = FILTER_CATMULLROM, uint flags = 0);
	alias da_FreeImage_AdjustCurve = BOOL function(FIBITMAP* dib, BYTE* LUT, FREE_IMAGE_COLOR_CHANNEL channel);
	alias da_FreeImage_AdjustGamma = BOOL function(FIBITMAP* dib, double gamma);
	alias da_FreeImage_AdjustBrightness = BOOL function(FIBITMAP* dib, double percentage);
	alias da_FreeImage_AdjustContrast = BOOL function(FIBITMAP* dib, double percentage);
	alias da_FreeImage_Invert = BOOL function(FIBITMAP* dib);
	alias da_FreeImage_GetHistogram = BOOL function(FIBITMAP* dib, DWORD* histo, FREE_IMAGE_COLOR_CHANNEL channel = FICC_BLACK);
	alias da_FreeImage_GetAdjustColorsLookupTable = int function(BYTE* LUT, double brightness, double contrast, double gamma, BOOL invert);
	alias da_FreeImage_AdjustColors = BOOL function(FIBITMAP* dib, double brightness, double contrast, double gamma, BOOL invert = FALSE);
	alias da_FreeImage_ApplyColorMapping = uint function(FIBITMAP* dib, RGBQUAD* srccolors, RGBQUAD* dstcolors, uint count, BOOL ignore_alpha, BOOL swap);
	alias da_FreeImage_SwapColors = uint function(FIBITMAP* dib, RGBQUAD* color_a, RGBQUAD* color_b, BOOL ignore_alpha);
	alias da_FreeImage_ApplyPaletteIndexMapping = uint function(FIBITMAP* dib, BYTE* srcindices, BYTE* dstindices, uint count, BOOL swap);
	alias da_FreeImage_SwapPaletteIndices = uint function(FIBITMAP* dib, BYTE* index_a, BYTE* index_b);
	alias da_FreeImage_GetChannel = FIBITMAP* function(FIBITMAP* dib, FREE_IMAGE_COLOR_CHANNEL channel);
	alias da_FreeImage_SetChannel = BOOL function(FIBITMAP* dst, FIBITMAP* src, FREE_IMAGE_COLOR_CHANNEL channel);
	alias da_FreeImage_GetComplexChannel = FIBITMAP* function(FIBITMAP* src, FREE_IMAGE_COLOR_CHANNEL channel);
	alias da_FreeImage_SetComplexChannel = BOOL function(FIBITMAP* dst, FIBITMAP* src, FREE_IMAGE_COLOR_CHANNEL channel);
	alias da_FreeImage_Copy = FIBITMAP* function(FIBITMAP* dib, int left, int top, int right, int bottom);
	alias da_FreeImage_Paste = BOOL function(FIBITMAP* dst, FIBITMAP* src, int left, int top, int alpha);
	alias da_FreeImage_CreateView = FIBITMAP* function(FIBITMAP*, uint, uint, uint, uint);
	alias da_FreeImage_Composite = FIBITMAP* function(FIBITMAP* fg, BOOL useFileBkg = FALSE, RGBQUAD* appBkColor = null, FIBITMAP* bg = null);
	alias da_FreeImage_PreMultiplyWithAlpha = BOOL function(FIBITMAP* dib);
	alias da_FreeImage_FillBackground = BOOL function(FIBITMAP* dib, const(void*) color, int options = 0);
	alias da_FreeImage_EnlargeCanvas = FIBITMAP* function(FIBITMAP* src, int left, int top, int right, int bottom, const(void*) color, int options = 0);
	alias da_FreeImage_AllocateEx = FIBITMAP* function(int width, int height, int bpp, const(RGBQUAD)* color, int options = 0, const(RGBQUAD)* palette = null, uint red_mask = 0, uint green_mask = 0, uint blue_mask = 0);
	alias da_FreeImage_AllocateExT = FIBITMAP* function(FREE_IMAGE_TYPE type, int width, int height, int bpp, const(void*) color, int options = 0, const(RGBQUAD)* palette = null, uint red_mask = 0, uint green_mask = 0, uint blue_mask = 0);
	alias da_FreeImage_MultigridPoissonSolver = FIBITMAP* function(FIBITMAP* Laplacian, int ncycle = 3);
}
__gshared 
{
	da_FreeImage_Initialise FreeImage_Initialise;
	da_FreeImage_DeInitialise FreeImage_DeInitialise;
	da_FreeImage_GetVersion FreeImage_GetVersion;
	da_FreeImage_GetCopyrightMessage FreeImage_GetCopyrightMessage;
	da_FreeImage_SetOutputMessageStdCall FreeImage_SetOutputMessageStdCall;
	da_FreeImage_SetOutputMessage FreeImage_SetOutputMessage;
	da_FreeImage_OutputMessageProc FreeImage_OutputMessageProc;
	da_FreeImage_Allocate FreeImage_Allocate;
	da_FreeImage_AllocateT FreeImage_AllocateT;
	da_FreeImage_Clone FreeImage_Clone;
	da_FreeImage_Unload FreeImage_Unload;
	da_FreeImage_HasPixels FreeImage_HasPixels;
	da_FreeImage_Load FreeImage_Load;
	da_FreeImage_LoadU FreeImage_LoadU;
	da_FreeImage_LoadFromHandle FreeImage_LoadFromHandle;
	da_FreeImage_Save FreeImage_Save;
	da_FreeImage_SaveU FreeImage_SaveU;
	da_FreeImage_SaveToHandle FreeImage_SaveToHandle;
	da_FreeImage_OpenMemory FreeImage_OpenMemory;
	da_FreeImage_CloseMemory FreeImage_CloseMemory;
	da_FreeImage_LoadFromMemory FreeImage_LoadFromMemory;
	da_FreeImage_SaveToMemory FreeImage_SaveToMemory;
	da_FreeImage_TellMemory FreeImage_TellMemory;
	da_FreeImage_SeekMemory FreeImage_SeekMemory;
	da_FreeImage_AcquireMemory FreeImage_AcquireMemory;
	da_FreeImage_ReadMemory FreeImage_ReadMemory;
	da_FreeImage_WriteMemory FreeImage_WriteMemory;
	da_FreeImage_LoadMultiBitmapFromMemory FreeImage_LoadMultiBitmapFromMemory;
	da_FreeImage_SaveMultiBitmapToMemory FreeImage_SaveMultiBitmapToMemory;
	da_FreeImage_RegisterLocalPlugin FreeImage_RegisterLocalPlugin;
	static if (Derelict_OS_Windows)
	{
		da_FreeImage_RegisterExternalPlugin FreeImage_RegisterExternalPlugin;
	}
	da_FreeImage_GetFIFCount FreeImage_GetFIFCount;
	da_FreeImage_SetPluginEnabled FreeImage_SetPluginEnabled;
	da_FreeImage_IsPluginEnabled FreeImage_IsPluginEnabled;
	da_FreeImage_GetFIFFromFormat FreeImage_GetFIFFromFormat;
	da_FreeImage_GetFIFFromMime FreeImage_GetFIFFromMime;
	da_FreeImage_GetFormatFromFIF FreeImage_GetFormatFromFIF;
	da_FreeImage_GetFIFExtensionList FreeImage_GetFIFExtensionList;
	da_FreeImage_GetFIFDescription FreeImage_GetFIFDescription;
	da_FreeImage_GetFIFRegExpr FreeImage_GetFIFRegExpr;
	da_FreeImage_GetFIFMimeType FreeImage_GetFIFMimeType;
	da_FreeImage_GetFIFFromFilename FreeImage_GetFIFFromFilename;
	da_FreeImage_GetFIFFromFilenameU FreeImage_GetFIFFromFilenameU;
	da_FreeImage_FIFSupportsReading FreeImage_FIFSupportsReading;
	da_FreeImage_FIFSupportsWriting FreeImage_FIFSupportsWriting;
	da_FreeImage_FIFSupportsExportBPP FreeImage_FIFSupportsExportBPP;
	da_FreeImage_FIFSupportsExportType FreeImage_FIFSupportsExportType;
	da_FreeImage_FIFSupportsICCProfiles FreeImage_FIFSupportsICCProfiles;
	da_FreeImage_FIFSupportsNoPixels FreeImage_FIFSupportsNoPixels;
	da_FreeImage_OpenMultiBitmap FreeImage_OpenMultiBitmap;
	da_FreeImage_OpenMultiBitmapFromHandle FreeImage_OpenMultiBitmapFromHandle;
	da_FreeImage_SaveMultiBitmapToHandle FreeImage_SaveMultiBitmapToHandle;
	da_FreeImage_CloseMultiBitmap FreeImage_CloseMultiBitmap;
	da_FreeImage_GetPageCount FreeImage_GetPageCount;
	da_FreeImage_AppendPage FreeImage_AppendPage;
	da_FreeImage_InsertPage FreeImage_InsertPage;
	da_FreeImage_DeletePage FreeImage_DeletePage;
	da_FreeImage_LockPage FreeImage_LockPage;
	da_FreeImage_UnlockPage FreeImage_UnlockPage;
	da_FreeImage_MovePage FreeImage_MovePage;
	da_FreeImage_GetLockedPageNumbers FreeImage_GetLockedPageNumbers;
	da_FreeImage_GetFileType FreeImage_GetFileType;
	da_FreeImage_GetFileTypeU FreeImage_GetFileTypeU;
	da_FreeImage_GetFileTypeFromHandle FreeImage_GetFileTypeFromHandle;
	da_FreeImage_GetFileTypeFromMemory FreeImage_GetFileTypeFromMemory;
	da_FreeImage_GetImageType FreeImage_GetImageType;
	da_FreeImage_IsLittleEndian FreeImage_IsLittleEndian;
	da_FreeImage_LookupX11Color FreeImage_LookupX11Color;
	da_FreeImage_LookupSVGColor FreeImage_LookupSVGColor;
	da_FreeImage_GetBits FreeImage_GetBits;
	da_FreeImage_GetScanLine FreeImage_GetScanLine;
	da_FreeImage_GetPixelIndex FreeImage_GetPixelIndex;
	da_FreeImage_GetPixelColor FreeImage_GetPixelColor;
	da_FreeImage_SetPixelIndex FreeImage_SetPixelIndex;
	da_FreeImage_SetPixelColor FreeImage_SetPixelColor;
	da_FreeImage_GetColorsUsed FreeImage_GetColorsUsed;
	da_FreeImage_GetBPP FreeImage_GetBPP;
	da_FreeImage_GetWidth FreeImage_GetWidth;
	da_FreeImage_GetHeight FreeImage_GetHeight;
	da_FreeImage_GetLine FreeImage_GetLine;
	da_FreeImage_GetPitch FreeImage_GetPitch;
	da_FreeImage_GetDIBSize FreeImage_GetDIBSize;
	da_FreeImage_GetMemorySize FreeImage_GetMemorySize;
	da_FreeImage_GetPalette FreeImage_GetPalette;
	da_FreeImage_GetDotsPerMeterX FreeImage_GetDotsPerMeterX;
	da_FreeImage_GetDotsPerMeterY FreeImage_GetDotsPerMeterY;
	da_FreeImage_SetDotsPerMeterX FreeImage_SetDotsPerMeterX;
	da_FreeImage_SetDotsPerMeterY FreeImage_SetDotsPerMeterY;
	da_FreeImage_GetInfoHeader FreeImage_GetInfoHeader;
	da_FreeImage_GetInfo FreeImage_GetInfo;
	da_FreeImage_GetColorType FreeImage_GetColorType;
	da_FreeImage_GetRedMask FreeImage_GetRedMask;
	da_FreeImage_GetGreenMask FreeImage_GetGreenMask;
	da_FreeImage_GetBlueMask FreeImage_GetBlueMask;
	da_FreeImage_GetTransparencyCount FreeImage_GetTransparencyCount;
	da_FreeImage_GetTransparencyTable FreeImage_GetTransparencyTable;
	da_FreeImage_SetTransparent FreeImage_SetTransparent;
	da_FreeImage_SetTransparencyTable FreeImage_SetTransparencyTable;
	da_FreeImage_IsTransparent FreeImage_IsTransparent;
	da_FreeImage_SetTransparentIndex FreeImage_SetTransparentIndex;
	da_FreeImage_GetTransparentIndex FreeImage_GetTransparentIndex;
	da_FreeImage_HasBackgroundColor FreeImage_HasBackgroundColor;
	da_FreeImage_GetBackgroundColor FreeImage_GetBackgroundColor;
	da_FreeImage_SetBackgroundColor FreeImage_SetBackgroundColor;
	da_FreeImage_GetThumbnail FreeImage_GetThumbnail;
	da_FreeImage_SetThumbnail FreeImage_SetThumbnail;
	da_FreeImage_GetICCProfile FreeImage_GetICCProfile;
	da_FreeImage_CreateICCProfile FreeImage_CreateICCProfile;
	da_FreeImage_DestroyICCProfile FreeImage_DestroyICCProfile;
	da_FreeImage_ConvertLine1To4 FreeImage_ConvertLine1To4;
	da_FreeImage_ConvertLine8To4 FreeImage_ConvertLine8To4;
	da_FreeImage_ConvertLine16To4_555 FreeImage_ConvertLine16To4_555;
	da_FreeImage_ConvertLine16To4_565 FreeImage_ConvertLine16To4_565;
	da_FreeImage_ConvertLine24To4 FreeImage_ConvertLine24To4;
	da_FreeImage_ConvertLine32To4 FreeImage_ConvertLine32To4;
	da_FreeImage_ConvertLine1To8 FreeImage_ConvertLine1To8;
	da_FreeImage_ConvertLine4To8 FreeImage_ConvertLine4To8;
	da_FreeImage_ConvertLine16To8_555 FreeImage_ConvertLine16To8_555;
	da_FreeImage_ConvertLine16To8_565 FreeImage_ConvertLine16To8_565;
	da_FreeImage_ConvertLine24To8 FreeImage_ConvertLine24To8;
	da_FreeImage_ConvertLine32To8 FreeImage_ConvertLine32To8;
	da_FreeImage_ConvertLine1To16_555 FreeImage_ConvertLine1To16_555;
	da_FreeImage_ConvertLine4To16_555 FreeImage_ConvertLine4To16_555;
	da_FreeImage_ConvertLine8To16_555 FreeImage_ConvertLine8To16_555;
	da_FreeImage_ConvertLine16_565_To16_555 FreeImage_ConvertLine16_565_To16_555;
	da_FreeImage_ConvertLine24To16_555 FreeImage_ConvertLine24To16_555;
	da_FreeImage_ConvertLine32To16_555 FreeImage_ConvertLine32To16_555;
	da_FreeImage_ConvertLine1To16_565 FreeImage_ConvertLine1To16_565;
	da_FreeImage_ConvertLine4To16_565 FreeImage_ConvertLine4To16_565;
	da_FreeImage_ConvertLine8To16_565 FreeImage_ConvertLine8To16_565;
	da_FreeImage_ConvertLine16_555_To16_565 FreeImage_ConvertLine16_555_To16_565;
	da_FreeImage_ConvertLine24To16_565 FreeImage_ConvertLine24To16_565;
	da_FreeImage_ConvertLine32To16_565 FreeImage_ConvertLine32To16_565;
	da_FreeImage_ConvertLine1To24 FreeImage_ConvertLine1To24;
	da_FreeImage_ConvertLine4To24 FreeImage_ConvertLine4To24;
	da_FreeImage_ConvertLine8To24 FreeImage_ConvertLine8To24;
	da_FreeImage_ConvertLine16To24_555 FreeImage_ConvertLine16To24_555;
	da_FreeImage_ConvertLine16To24_565 FreeImage_ConvertLine16To24_565;
	da_FreeImage_ConvertLine32To24 FreeImage_ConvertLine32To24;
	da_FreeImage_ConvertLine1To32 FreeImage_ConvertLine1To32;
	da_FreeImage_ConvertLine4To32 FreeImage_ConvertLine4To32;
	da_FreeImage_ConvertLine8To32 FreeImage_ConvertLine8To32;
	da_FreeImage_ConvertLine16To32_555 FreeImage_ConvertLine16To32_555;
	da_FreeImage_ConvertLine16To32_565 FreeImage_ConvertLine16To32_565;
	da_FreeImage_ConvertLine24To32 FreeImage_ConvertLine24To32;
	da_FreeImage_ConvertTo4Bits FreeImage_ConvertTo4Bits;
	da_FreeImage_ConvertTo8Bits FreeImage_ConvertTo8Bits;
	da_FreeImage_ConvertToGreyscale FreeImage_ConvertToGreyscale;
	da_FreeImage_ConvertTo16Bits555 FreeImage_ConvertTo16Bits555;
	da_FreeImage_ConvertTo16Bits565 FreeImage_ConvertTo16Bits565;
	da_FreeImage_ConvertTo24Bits FreeImage_ConvertTo24Bits;
	da_FreeImage_ConvertTo32Bits FreeImage_ConvertTo32Bits;
	da_FreeImage_ColorQuantize FreeImage_ColorQuantize;
	da_FreeImage_ColorQuantizeEx FreeImage_ColorQuantizeEx;
	da_FreeImage_Threshold FreeImage_Threshold;
	da_FreeImage_Dither FreeImage_Dither;
	da_FreeImage_ConvertFromRawBits FreeImage_ConvertFromRawBits;
	da_FreeImage_ConvertFromRawBitsEx FreeImage_ConvertFromRawBitsEx;
	da_FreeImage_ConvertToRawBits FreeImage_ConvertToRawBits;
	da_FreeImage_ConvertToFloat FreeImage_ConvertToFloat;
	da_FreeImage_ConvertToRGBF FreeImage_ConvertToRGBF;
	da_FreeImage_ConvertToRGBAF FreeImage_ConvertToRGBAF;
	da_FreeImage_ConvertToUINT16 FreeImage_ConvertToUINT16;
	da_FreeImage_ConvertToRGB16 FreeImage_ConvertToRGB16;
	da_FreeImage_ConvertToRGBA16 FreeImage_ConvertToRGBA16;
	da_FreeImage_ConvertToStandardType FreeImage_ConvertToStandardType;
	da_FreeImage_ConvertToType FreeImage_ConvertToType;
	da_FreeImage_ToneMapping FreeImage_ToneMapping;
	da_FreeImage_TmoDrago03 FreeImage_TmoDrago03;
	da_FreeImage_TmoReinhard05 FreeImage_TmoReinhard05;
	da_FreeImage_TmoReinhard05Ex FreeImage_TmoReinhard05Ex;
	da_FreeImage_TmoFattal02 FreeImage_TmoFattal02;
	da_FreeImage_ZLibCompress FreeImage_ZLibCompress;
	da_FreeImage_ZLibUncompress FreeImage_ZLibUncompress;
	da_FreeImage_ZLibGZip FreeImage_ZLibGZip;
	da_FreeImage_ZLibGUnzip FreeImage_ZLibGUnzip;
	da_FreeImage_ZLibCRC32 FreeImage_ZLibCRC32;
	da_FreeImage_CreateTag FreeImage_CreateTag;
	da_FreeImage_DeleteTag FreeImage_DeleteTag;
	da_FreeImage_CloneTag FreeImage_CloneTag;
	da_FreeImage_GetTagKey FreeImage_GetTagKey;
	da_FreeImage_GetTagDescription FreeImage_GetTagDescription;
	da_FreeImage_GetTagID FreeImage_GetTagID;
	da_FreeImage_GetTagType FreeImage_GetTagType;
	da_FreeImage_GetTagCount FreeImage_GetTagCount;
	da_FreeImage_GetTagLength FreeImage_GetTagLength;
	da_FreeImage_GetTagValue FreeImage_GetTagValue;
	da_FreeImage_SetTagKey FreeImage_SetTagKey;
	da_FreeImage_SetTagDescription FreeImage_SetTagDescription;
	da_FreeImage_SetTagID FreeImage_SetTagID;
	da_FreeImage_SetTagType FreeImage_SetTagType;
	da_FreeImage_SetTagCount FreeImage_SetTagCount;
	da_FreeImage_SetTagLength FreeImage_SetTagLength;
	da_FreeImage_SetTagValue FreeImage_SetTagValue;
	da_FreeImage_FindFirstMetadata FreeImage_FindFirstMetadata;
	da_FreeImage_FindNextMetadata FreeImage_FindNextMetadata;
	da_FreeImage_FindCloseMetadata FreeImage_FindCloseMetadata;
	da_FreeImage_SetMetadata FreeImage_SetMetadata;
	da_FreeImage_GetMetadata FreeImage_GetMetadata;
	da_FreeImage_SetMetadataKeyValue FreeImage_SetMetadataKeyValue;
	da_FreeImage_GetMetadataCount FreeImage_GetMetadataCount;
	da_FreeImage_CloneMetadata FreeImage_CloneMetadata;
	da_FreeImage_TagToString FreeImage_TagToString;
	da_FreeImage_JPEGTransform FreeImage_JPEGTransform;
	da_FreeImage_JPEGTransformU FreeImage_JPEGTransformU;
	da_FreeImage_JPEGCrop FreeImage_JPEGCrop;
	da_FreeImage_JPEGCropU FreeImage_JPEGCropU;
	da_FreeImage_JPEGTransformFromHandle FreeImage_JPEGTransformFromHandle;
	da_FreeImage_JPEGTransformCombined FreeImage_JPEGTransformCombined;
	da_FreeImage_JPEGTransformCombinedU FreeImage_JPEGTransformCombinedU;
	da_FreeImage_JPEGTransformCombinedFromMemory FreeImage_JPEGTransformCombinedFromMemory;
	da_FreeImage_RotateClassic FreeImage_RotateClassic;
	da_FreeImage_Rotate FreeImage_Rotate;
	da_FreeImage_RotateEx FreeImage_RotateEx;
	da_FreeImage_FlipHorizontal FreeImage_FlipHorizontal;
	da_FreeImage_FlipVertical FreeImage_FlipVertical;
	da_FreeImage_Rescale FreeImage_Rescale;
	da_FreeImage_MakeThumbnail FreeImage_MakeThumbnail;
	da_FreeImage_RescaleRect FreeImage_RescaleRect;
	da_FreeImage_AdjustCurve FreeImage_AdjustCurve;
	da_FreeImage_AdjustGamma FreeImage_AdjustGamma;
	da_FreeImage_AdjustBrightness FreeImage_AdjustBrightness;
	da_FreeImage_AdjustContrast FreeImage_AdjustContrast;
	da_FreeImage_Invert FreeImage_Invert;
	da_FreeImage_GetHistogram FreeImage_GetHistogram;
	da_FreeImage_GetAdjustColorsLookupTable FreeImage_GetAdjustColorsLookupTable;
	da_FreeImage_AdjustColors FreeImage_AdjustColors;
	da_FreeImage_ApplyColorMapping FreeImage_ApplyColorMapping;
	da_FreeImage_SwapColors FreeImage_SwapColors;
	da_FreeImage_ApplyPaletteIndexMapping FreeImage_ApplyPaletteIndexMapping;
	da_FreeImage_SwapPaletteIndices FreeImage_SwapPaletteIndices;
	da_FreeImage_GetChannel FreeImage_GetChannel;
	da_FreeImage_SetChannel FreeImage_SetChannel;
	da_FreeImage_GetComplexChannel FreeImage_GetComplexChannel;
	da_FreeImage_SetComplexChannel FreeImage_SetComplexChannel;
	da_FreeImage_Copy FreeImage_Copy;
	da_FreeImage_Paste FreeImage_Paste;
	da_FreeImage_CreateView FreeImage_CreateView;
	da_FreeImage_Composite FreeImage_Composite;
	da_FreeImage_PreMultiplyWithAlpha FreeImage_PreMultiplyWithAlpha;
	da_FreeImage_FillBackground FreeImage_FillBackground;
	da_FreeImage_EnlargeCanvas FreeImage_EnlargeCanvas;
	da_FreeImage_AllocateEx FreeImage_AllocateEx;
	da_FreeImage_AllocateExT FreeImage_AllocateExT;
	da_FreeImage_MultigridPoissonSolver FreeImage_MultigridPoissonSolver;
}
